%global momorel 6

Name:           perl-MooseX-Types-DateTime-ButMaintained
Version:        0.11
Release:        %{momorel}m%{?dist}
Summary:        DateTime related constraints and coercions for Moose
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Types-DateTime-ButMaintained/
Source0:        http://www.cpan.org/authors/id/E/EC/ECARROLL/MooseX-Types-DateTime-ButMaintained-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-DateTime >= 0.43.02
BuildRequires:  perl-DateTime-Format-DateParse >= 0.04
BuildRequires:  perl-DateTime-Format-Flexible >= 0.05
BuildRequires:  perl-DateTime-Format-Natural >= 0.71
BuildRequires:  perl-DateTime-Locale >= 0.40.01
BuildRequires:  perl-DateTime-TimeZone >= 1:0.96
BuildRequires:  perl-DateTimeX-Easy >= 0.082
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Moose >= 0.41
BuildRequires:  perl-MooseX-Types >= 0.04
BuildRequires:  perl-namespace-clean >= 0.08
BuildRequires:  perl-Test-Exception >= 0.27
BuildRequires:  perl-Test-use-ok >= 0.02
BuildRequires:  perl-Time-Duration-Parse >= 0.06
BuildRequires:  perl-Olson-Abbreviations
Requires:       perl-DateTime >= 0.43.02
Requires:       perl-DateTime-Format-DateParse >= 0.04
Requires:       perl-DateTime-Format-Flexible >= 0.05
Requires:       perl-DateTime-Format-Natural >= 0.71
Requires:       perl-DateTime-Locale >= 0.40.01
Requires:       perl-DateTime-TimeZone >= 1:0.96
Requires:       perl-DateTimeX-Easy >= 0.082
Requires:       perl-Moose >= 0.41
Requires:       perl-MooseX-Types >= 0.04
Requires:       perl-namespace-clean >= 0.08
Requires:       perl-Test-Exception >= 0.27
Requires:       perl-Test-use-ok >= 0.02
Requires:       perl-Time-Duration-Parse >= 0.06
Requires:       perl-Olson-Abbreviations
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module packages several Moose::Util::TypeConstraints with coercions,
designed to work with the DateTime suite of objects.

%prep
%setup -q -n MooseX-Types-DateTime-ButMaintained-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/MooseX/Types/DateTime/ButMaintained*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11-4m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.11-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11-1m)
- update to 0.11

* Sat Oct 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10-1m)
- update to 0.10

* Thu Aug 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.09-1m)
- update to 0.09

* Wed Aug 26 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.08-3m)
- expand BuildRequires

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-2m)
- rebuild against perl-5.10.1

* Wed Aug  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-1m)
- update to 0.08

* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-2m)
- modify BuildRequires

* Sat May 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.06-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
